Top > 東方叙事詩・統合MODの英語版対応について

東方叙事詩・統合MODの英語版対応について

Last-modified: 2015-11-26 (木) 21:35:21

はじめに Edit

先日、Civ4 Multi WIKIの方で英語版Civ4を日本語化させるパッチが新たに配布されるようになりました。
現時点(15/7/29)ではCiv4BtS・Steam版のみが対応であり、英語パッケージ版は未対応ですがじきに対応されるようになると思います
追記:7/31 英語パッケージ版用日本語化パッチもリリースされました


そして東方叙事詩・統合MOD版についても上記日本語化パッチを当てた英語版上で
叙事詩側単体でも多少のパッチ当て作業をする事により(15/8/19追記:パッチ当ては必要なくなりました)安定動作することを確認しました
以下にその手順について記載します


手順1…Civ4英語版orSteam版の日本語化 Edit



まず始めに、Civ4 Multi WIKIで配布されている英語版・日本語化パッチを用いて
Civ4英語版本体の日本語対応化を行います
こちらのページからCiv4日本語化パッチそのもののreadme及びインストール方法についての項目を確認した上で
英語パッケージ版をお持ちの方はパッケージ版の方を
Steam版をお持ちの方はSteam版を選択し、それぞれダウンロード後にインストール作業を行ってください

ss3.jpg

インストール確認後にデスクトップに生成されているであろう「Civ4 BtSを日本語で起動する」のショートカットから起動させ
きちんと日本語化されていることを確認し、問題が無いようであれば手順2へ向かいます


手順2…東方叙事詩・統合MOD版の準備 Edit



手順1を問題無く行う事が出来たのならば、次は東方叙事詩・統合MOD版の準備です
東方叙事詩・統合MOD版ならば何でも構いませんが、現状では複雑なパッチ当て作業が不要な
フルパックバージョンが存在するため、こちらがお勧めとなっています

ss1.png

東方叙事詩・統合MOD版の準備が出来たならば(以下からはフルパックバージョンであることを前提に記載します)
上記SSにあるとおりの場所


C:\Program Files (x86)\Steam\SteamApps\common\Sid Meier's Civilization IV Beyond the Sword\Beyond the Sword\Mods


にjojisi_tougou_fullver以下を置いて下さい(フォルダパスはSteam版のもの)
他の付属MODを参考に、jojisi_tougou_fullverの下にAssets以下が来るような配置にして下さい
また、筆者はCiv4BtS・Steam版しか所持していないため上記のフォルダパスはSteam版のものとなっていますが
英語版の場合もProgram Files (x86)以下に似たような階層のフォルダがあると思うため
各自Beyond the Sword\Modsフォルダを探してみて下さい


手順3…オプション・叙事詩用CGEの導入 Edit



注!これは必須ではありません。CGEを導入したい方のみ行って下さい


もしもインターフェイス系MOD「CGE」が好きで英語版対応化東方叙事詩でもCGE環境下で遊びたい、という場合は
このタイミングでCGE用のパッチを当てて下さい


CGEfor_jojisi.1.13_統合MOD150610ver対応版


上記URL内の「CGEfor_jojisi.1.13_統合MOD150610ver対応版」と記載されているファイルをDL後解凍し
解凍後に出てくる「Assets」以下を手順2で導入した東方叙事詩・統合MODfullverに上書きさせて下さい
その後、本家CGEをダウンロードして
内部に入っている「Civ IV Gameplay Enhancements Config.ini」という名称のファイルを探し

ss2.png

Documents\My Games\beyond the sword
こちらのファイルパス下に、上記SSのような感じで
Civ IV Gameplay Enhancements Config.iniをCivilizationIV.iniと同じ場所に置いて下さい
(この手順を踏まないとCGEオリジナルのオプション項目が上手く働かない不具合が発生します)


手順4…東方叙事詩・統合MODを起動させる Edit



CGE未使用派は手順2の後に、CGE使用派は手順3の後にお読み下さい


最後の項目です。英語版Civ4に日本語化パッチを当てていても、東方叙事詩・統合MODはこのままだと読み込ませても不具合が発生します。
なので、その不具合を発生させずに英語版@日本語化パッチCiv4に対応させるためのパッチを最後に東方叙事詩・統合MOD側に当てる必要があります


15/8/19追記
東方叙事詩・統合MOD150610ver_Fix1以降では
「Civ4日本語版、およびCiv4英語版@日本語化パッチ適用環境下双方で、叙事詩本体側はパッチ当ての必要が無くそのまま動作する」
ようになっています。
よって、パッチ当ての作業は必要ありません。
統合MOD150610ver_Fix1以降のバージョンは手順2(CGE使用派は手順3)の段階で、導入手順は完了となります


ss4.jpg


そして「Civ4 BtSを日本語で起動する」のショートカットからCiv4を起動させ
アドバンス→MODをロード から「jojisi_tougou_fullver」を選択
ロード完了後にきちんと日本語化されて動作されていることを確認したら完了です。お疲れ様でした


コメントページ Edit

何か不明点等がございましたらこちらまでどうぞ

  • 叙事詩用CGEのreadmeに「通常版」と書かれたフォルダ ってあるが見当たらないな バージョンアップで消えたんかね -- 2015-11-26 (木) 06:18:23
  • 叙事詩用CGEのreadmeに「通常版」と書かれたフォルダ ってあるが見当たらないな バージョンアップで消えたんかね -- 2015-11-26 (木) 10:35:13
  • readmeの記述を変更し忘れていました。現在では「通常版」ではなく「叙事詩用CGE本体」というフォルダ名になっています。なのでreadmeの記述もそのまま「通常版」を「叙事詩用CGE本体」に置き換えて処置して頂けると助かります -- 記事執筆者? 2015-11-26 (木) 21:35:20

URL B I U SIZE Black Maroon Green Olive Navy Purple Teal Gray Silver Red Lime Yellow Blue Fuchsia Aqua White